'use strict';

var BoxFornecedorController = angular.module('BoxFornecedorController', []);

BoxFornecedorController.controller('BoxFornecedorCtrl', ['$scope', '$rootScope', 'Cotacao',
  ($scope, $rootScope, Cotacao) => {

    $scope.adicionaLista = (item) => {
        item.Selecionado = !item.Selecionado;
    }

    $scope.exibirItens = () => {
        var fornecedores = [];
        $scope.dadosBoxFornecedor.ListaFornecedor.filter(o => o.Selecionado).forEach(
            f => {
                fornecedores.push({
                    IdSolicitacao: $scope.dadosBoxFornecedor.Solicitacao.IdSolicitacao,
                    IdFornecedor: f.IdFornecedor
                });
            }
        );

        var params = {
            Fornecedores: JSON.stringify(fornecedores)
        }
        Cotacao.setFornecedoresCotacao(params, (data) => {
            $rootScope.$broadcast('getResumoCotacaoFornecedores', {Solicitacao: $scope.dadosBoxFornecedor.Solicitacao});
            $('#BoxFornecedor').modal('hide');
        });

    }

    $scope.loadBoxPage = () => {

        $('#BoxFornecedor').on('shown.bs.modal', (e) => {
            $('#BoxFornecedor').off('show.bs.modal');
        });
    
        $('#BoxFornecedor').on('hidden.bs.modal', (e) => {
            $('#BoxFornecedor').off('hide.bs.modal');
        });
    }

    $scope.loadBoxPage();

  }]);
